Package pyplusplus :: Package code_creators :: Module array_1_registrator :: Class array_1_registrator_t

# type array_1_registrator_t

source code

                             object --+
                                      |
            code_creator.code_creator_t --+
                                          |
    registration_based.registration_based_t --+
                                              |
                                             array_1_registrator_t

This class creates code that register static sized array

Instance Methods

__init__(self, array_type) Constructor. | source code

Inherited from `code_creator.code_creator_t`: `beautify`, `create`, `get_system_headers`

Static Methods
Inherited from `code_creator.code_creator_t`: `indent`, `is_comment`, `unindent`, `unique_headers`

Class Variables
Inherited from `code_creator.code_creator_t`: `LINE_LENGTH`, `PARAM_SEPARATOR`, `PYPLUSPLUS_NS_NAME`

Properties
| array_type
| call_policies
Inherited from `registration_based.registration_based_t`: `associated_decl_creators` Inherited from `code_creator.code_creator_t`: `parent`, `target_configuration`, `top_parent`, `works_on_instance`

Method Details

### __init__(self, array_type)
(Constructor)

source code

Constructor.

Parameters:
  - `parent` - Parent code creator.
Overrides: code_creator.code_creator_t.__init__
  (inherited documentation)

Property Details

### array_type

Get Method:
  _get_array_type(self)
Set Method:
  _set_array_type(self, new_array_type)

### call_policies

Get Method:
  _get_call_policies(self)
Set Method:
  _set_call_policies(self, new_call_policies)